#pragma once
#include "BWAPI.h"
#include <utility>
using namespace BWAPI;
using namespace std;
class Overseer;

class UnitPredictionManager {
public:
	UnitPredictionManager(Overseer* ov);
	void calculate();

private:
	Overseer* overseer;

protected:


};